geos::noding::snapround Namespace Reference

Contains classes to implement the Snap Rounding algorithm for noding linestrings. More...

## Classes

class | HotPixel
| Implements a "hot pixel" as used in the Snap Rounding algorithm. More...
class | MCIndexPointSnapper
| "Snaps" all SegmentStrings in a SpatialIndex containing MonotoneChains to a given HotPixel. More...
class | MCIndexSnapRounder
| Uses Snap Rounding to compute a rounded, fully noded arrangement from a set of SegmentString. More...
class | SnapRoundingIntersectionAdder
class | SnapRoundingNoder

## Detailed Description

Contains classes to implement the Snap Rounding algorithm for noding linestrings.